#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libfm-qt
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	libfm-qt is the Qt port of libfm.
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/libfm-qt/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libfm
BuildRequires	:	libexif
BuildRequires	:	mesa-devel
BuildRequires	:	qt
BuildRequires	:	qtx11extras-devel
#-----------------------------------------------------------------------------
%description
libfm-qt is the Qt port of libfm, a library providing components
to build desktop file managers which belongs to LXDE.


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	-DGLIB_GIO_UNIX_INCLUDE_DIR=%{_includedir}/gio-unix-2.0 \
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS LICENSE README.md
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/core/*.h
%{_includedir}/%{name}/core/legacy/*.h
%{_includedir}/%{name}/core/vfs/*.h
%{_includedir}/%{name}/customactions/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/fm-qt/fm-qt-*.cmake
%{_datadir}/%{name}/*.list
%{_datadir}/mime/packages/%{name}-*.xml
%{_datadir}/%{name}/translations/%{name}_*.qm

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
